GridFire 0.6.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Classes | Typedefs
gridfire::solver Namespace Reference

## Classes
class | CVODESolverStrategy
| Stiff ODE integrator backed by SUNDIALS CVODE (BDF) for network + energy. More...
class | NetworkSolverStrategy
| Abstract base class for network solver strategies. More...
struct | SolverContextBase
| Base class for solver callback contexts. More...

## Typedefs
using | DynamicNetworkSolverStrategy = NetworkSolverStrategy<DynamicEngine>
| Type alias for a network solver strategy that uses a DynamicEngine.

## Typedef Documentation

## ◆ DynamicNetworkSolverStrategy

using gridfire::solver::DynamicNetworkSolverStrategy = NetworkSolverStrategy<DynamicEngine>

Type alias for a network solver strategy that uses a DynamicEngine.